Compatibility with MySQL 4.1

Locked
Quintin3265

Compatibility with MySQL 4.1

Post by Quintin3265 » Mon Jun 13, 2005 3:06 am

Hi,

I've been searching for music management scripts all over the Internet, and netjukebox appears to be superior to everything I've tried. Unfortunately, the program doesn't support MySQL 4.1's mysqli interface.

My site gets 10,000 hits a day and I can't downgrade to MySQL 4.0 just for one program. I need the spatial database features in 4.1. Would someone consider updating the function calls to be compatible with the newer version?

Just a suggestion,

-Steve
"Games are for Children"
http://www.gamesareforchildren.com/

User avatar
wbartels
netjukebox developer
Posts: 792
Joined: Thu Nov 04, 2004 3:12 pm
Location: Netherlands
Contact:

Post by wbartels » Wed Jun 15, 2005 5:31 pm

When change to MySQLi I must break compatibility with older MySQL versions.
This is not what I want.
For the time being I let it what it is.

When PHP 5.1 or newer will be common, than PDO (PHP Data Objects) to access a database would be nice.

Quintin3265

Will keep checking

Post by Quintin3265 » Thu Jun 16, 2005 2:59 pm

Hi everyone,

My understanding is that the function names for the two interfaces are the same, just with an "i" at the end of the name for MySQLi. Is this correct? If so, then I could just do a massive find and replace on all the source and resolve this issue for myself.

Anyone who knows MySQL and could answer this question would be appreciated.

-Steve

Locked